curl --request GET \
--url https://api.kajabi.com/v1/landing_pages/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"type": "landing_pages",
"attributes": {
"title": "<string>",
"url": "<string>",
"publish_at": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"site": {
"data": {
"id": "<string>",
"type": "<string>"
}
}
}
},
"links": {
"self": "<string>",
"current": "<string>"
}
}Shows details of a landing page
title (string) - Title of the landing pageurl (string) - URL of the landing pagepublish_at (string) - Date and time the landing page will be publishedcreated_at (string) - Date and time the landing page was createdupdated_at (string) - Date and time the landing page was updatedGET /v1/landing_pages/123?fields[landing_pages]=titleResponse will only include requested fields
{
"data": {
"id": "123",
"type": "landing_pages",
"attributes": {
"title": "Course Landing Page"
}
}
}
curl --request GET \
--url https://api.kajabi.com/v1/landing_pages/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"type": "landing_pages",
"attributes": {
"title": "<string>",
"url": "<string>",
"publish_at": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"site": {
"data": {
"id": "<string>",
"type": "<string>"
}
}
}
},
"links": {
"self": "<string>",
"current": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Landing page ID
Partial attributes as specified, e.g. fields[landing_pages]=title
Was this page helpful?